function [gaps, meank0] = calcKappa0Mean( dataFolder, fileName, minGap )

    gaps = [];
    meank0 = [];

    %dataFolder =  'results\';
    filesToAnalyze = dir( [dataFolder fileName] );
    wantedModeFamily = 1;
    
    for z = 1:length( filesToAnalyze )

        indd = strfind( fileName, '*' );
        tt = strrep( filesToAnalyze(z).name, fileName(1:indd-1), '' );
        tt = strrep( tt, fileName(indd+1:end), '' );
        if str2num( strrep( tt, 'nm', '' ) ) < minGap
            continue
        end
        
        % load resonance data sets
        disp( '-------------------------------------------------------------' );
        disp( ['Loading file: ' filesToAnalyze(z).name '...'] );
        load( [dataFolder filesToAnalyze(z).name] );

        
        % HACK: sort out weird stuff
        for tt = 1:length(resonanceData)
            if ~isempty( resonanceData(tt).omega0Abs ) && isempty( resonanceData(tt).kappa0 )
                resonanceData(tt).omega0Abs = [];
                modeFamily(tt) = -1;
            end
        end
        modeFamily( modeFamily == -1 ) = [];

        gof = [resonanceData.gof];
        k0 = [resonanceData.kappa0];
        kEx = [resonanceData.kappaEx];
        kCR = [resonanceData.kappaCR];
        kCI = [resonanceData.kappaCI];
        resFreq = [resonanceData.omega0Abs];

        % formulate criterion to sort out values
        critSplit = kCI*1.33;
        criterion = (gof > 0.97 & modeFamily == wantedModeFamily & ((~isnan(kCR)& critSplit > k0) | isnan(kCR)) );

        % adapt to coupling model for ambiguity fitting
        tmpk0 = k0;
        tmpkEx = kEx;

        % adjust for undercoupling
        k0( isnan( kCR ) & tmpk0<tmpkEx ) = tmpkEx( isnan( kCR ) & tmpk0<tmpkEx );
        kEx( isnan( kCR ) & tmpk0<tmpkEx ) = tmpk0( isnan( kCR ) & tmpk0<tmpkEx );
        kappa0s = k0( criterion );

        indd = strfind( fileName, '*' );
        tt = strrep( filesToAnalyze(z).name, fileName(1:indd-1), '' );
        tt = strrep( tt, fileName(indd+1:end), '' );
        gaps = [gaps; str2num( strrep( tt, 'nm', '' ) )];
        
        if length( kCI(criterion) ) < 15
            %disp( 'calc mean value...' );
            %[meank0; mean( k0(selection) )];
            disp( 'too little values...' );
            %meank0 = [];
        else
            %pd = fitdist( k0(criterion)', 'GeneralizedExtremeValue' );
            %xVs = 10:0.1:5e3;
            %[~,i] = max( pdf( pd, xVs ) );
            %meank0 = [meank0; xVs(i)];
            
            pd = fitdist( abs(kappa0s)', 'Burr' );
            xVs = 10:0.1:5e3;
            [~,i] = max( pdf( pd, xVs ) );
            meank0 = [meank0; xVs(i)];
        end
        
    end

end

