function [gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meank0, meanInterf ] = calcKappaSplittingMean( dataFolder, fileName, minGap )

    gaps = [];
    meanKappaCR = [];
    meanKappaCI = [];
    meank0 = [];
    meanAbsCoupling = [];
    meanInterf = [];
  %  allKCR = [];
  %  allKCI = [];
   % allK0 = [];

    %dataFolder =  'results\';
    filesToAnalyze = dir( [dataFolder fileName] );
    wantedModeFamily = 1;
    coupling = 'over';
    
    for z = 1:length( filesToAnalyze )

        indd = strfind( fileName, '*' );
        tt = strrep( filesToAnalyze(z).name, fileName(1:indd-1), '' );
        tt = strrep( tt, fileName(indd+1:end), '' );
        if str2num( strrep( tt, 'nm', '' ) ) < minGap
            continue
        end
        
        % load resonance data sets
        disp( '-------------------------------------------------------------' );
        disp( ['Loading file: ' filesToAnalyze(z).name '...'] );
        load( [dataFolder filesToAnalyze(z).name] );

        
        % HACK: sort out weird stuff
        for tt = 1:length(resonanceData)
            if ~isempty( resonanceData(tt).omega0Abs ) && isempty( resonanceData(tt).kappa0 )
                resonanceData(tt).omega0Abs = [];
                modeFamily(tt) = -1;
            end
        end
        modeFamily( modeFamily == -1 ) = [];

        gof = [resonanceData.gof];
        k0 = [resonanceData.kappa0];
        kEx = [resonanceData.kappaEx];
        % ATTENTION: due to historic reasons naming of real and imaginary
        % part is inverted
        kCI = [resonanceData.kappaCR];
        kCR = [resonanceData.kappaCI];
        resFreq = [resonanceData.omega0Abs];

        % formulate criterion to sort out values
        criterion = (gof > 0.97 & modeFamily == wantedModeFamily & abs(kCR)*1.33 > k0);

        % adapt to coupling model for ambiguity fitting of non-splitted
        % resonances (kCI is NaN)
        tmpk0 = k0;
        tmpkEx = kEx;

        if strcmp( coupling, 'under' )
            k0( isnan( kCI ) & tmpk0<tmpkEx ) = tmpkEx( isnan( kCI ) & tmpk0<tmpkEx );
            kEx( isnan( kCI ) & tmpk0<tmpkEx ) = tmpk0( isnan( kCI ) & tmpk0<tmpkEx );
        else
            k0( isnan( kCI ) & tmpk0>tmpkEx ) = tmpkEx( isnan( kCI ) & tmpk0>tmpkEx );
            kEx( isnan( kCI ) & tmpk0>tmpkEx ) = tmpk0( isnan( kCI ) & tmpk0>tmpkEx );
        end

        % if not enough splitted resonances exist, discard the resonator
        if length( kCI(criterion & ~isnan(kCR) ) ) < 1
            disp( ['discarded... mean k0: ' num2str(mean( abs(k0(criterion & isnan(kCR))) ))] );
            continue;
        elseif length( kCI(criterion & ~isnan(kCR) ) ) < 3
            kCIs = kCI(criterion & ~isnan(kCR) )';
            kCRs = kCR(criterion & ~isnan(kCR) )';
            
            meanKappaCI = [meanKappaCI; mean( abs( kCIs ))];
            meanKappaCR = [meanKappaCR; mean( abs( kCRs ))];
            meank0 = [meank0; mean( abs(k0(criterion & ~isnan(kCR))) )];
            
            meanAbsCoupling = [meanAbsCoupling; mean( sqrt(abs( (kCIs/2).^2 - (kCRs/2).^2 )) )];
            meanInterf = [meanInterf; mean( sqrt(abs( (-kCIs.*kCRs)/2 )) )];
        else
            disp( ['discarded... too many, mean k0: ' num2str(mean( abs(k0(criterion & isnan(kCR))) ))] );
            continue;
    end

    end


    %% depreceated
% 
% %
% indd = strfind( fileName, '*' );
% tt = strrep( filesToAnalyze(z).name, fileName(1:indd-1), '' );
% tt = strrep( tt, fileName(indd+1:end), '' );
% 
% %gaps = [gaps str2num( strrep( tt, 'nm', '' ) )];
% gaps = [gaps; str2num( strrep( tt, 'nm', '' ) )];
