close all; clear all; format long;

%% nice plot
c=299792458;
c=c*1e-3;

fontSize=7;
fontSizeSmall=7;

figWidth = 2.5;
figHeight = 1.5;


%% setup the cummulative plots for ideality and losses
idealityFigure = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( idealityFigure, 'Position', [1 1 figWidth+3 figHeight+3]);
set( idealityFigure,'PaperSize',[figWidth+3 figHeight+3]);
set( idealityFigure,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

idealityAxes = gca;
%idealityAxes = subplot(2,1,1);
set( idealityAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(idealityAxes, 'box', 'on');
set(idealityAxes,'fontsize',fontSize);
set(idealityAxes, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(idealityAxes, '\bf frequency (MHz)','fontsize',fontSize );
ylabel(idealityAxes, '\bf transmission (a.u.)','fontsize',fontSize );
hold( idealityAxes );


%% plot
load( 'data/d34_ebl_3h_18_2um_750nm_pol2_tm_histData.mat' );

counts = hist( idealityAxes, k0(selection), 25:5:120 );
xVs = 25:120;
yVs = pdf( pd, xVs );
bar( idealityAxes, 25:5:120,counts );
line( idealityAxes, xVs, yVs*(max(counts)/max(yVs)) );


xlim( [25 110] );
%ylim( [0.7 1.05] );
legend off;
print(idealityFigure,  'k0Histogram.pdf','-dpdf');