close all; clear all; format long; c=299792458; c=c*1e-3;

fontSize=7;
fontSizeSmall=7;
figWidth = 6.75;
figHeight = 1.5;

%% setup plotting
idealityFigure2 = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( idealityFigure2, 'Position', [1 1 figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperSize',[figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

% kCRAxes2 = subplot(2,1,1);
% set( kCRAxes2, 'Units', 'centimeters' );
% %set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
% set(kCRAxes2, 'box', 'on');
% set(kCRAxes2,'fontsize',fontSize);
% set(kCRAxes2, 'LineWidth', 1 );
% %title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
% xlabel(kCRAxes2, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
% ylabel(kCRAxes2, '\bf Re(\kappa_c) (MHz)');
% hold( kCRAxes2 );
% set(kCRAxes2, 'YScale', 'log');
% % set(kCRAxes2, 'XScale', 'log');
% xlim( kCRAxes2, [0.5 2.5]);
% ylim( kCRAxes2, [30 2.5e2]);

kCIAxes2 = gca;%;subplot(2,1,2);
set( kCIAxes2, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCIAxes2, 'box', 'on');
set(kCIAxes2,'fontsize',fontSize);
set(kCIAxes2, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(kCIAxes2, '\bf waveguide width (\mu m)','fontsize',fontSize );
ylabel(kCIAxes2, '\bf \kappa_0/2\pi (MHz)','fontsize',fontSize);
hold( kCIAxes2 );
set(kCIAxes2, 'YScale', 'log');
% set(kCIAxes2, 'XScale', 'log');
xlim( kCIAxes2, [0.75 2.25]);
ylim( kCIAxes2, [30 4e2]);    
%set(idealityAxes, 'XScale', 'log');

allk0 = [];
allCR = [];
legendStrings = {};

%% plot the files

%D34_EBL_3h
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_ebl3h_18_1um_*_pol1_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/EBL3h/18/1um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_ebl3h_18_1um_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.08-0.01, meanK0,  's', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/EBL3h/18/1um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_ebl3h_63_1um_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.08-0.01, meanK0,  's', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/EBL3h/63/1um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_ebl3h_63_1um_*_pol1_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/EBL3h/63/1um' };
end


[gaps, meanK0] = calcKappa0Mean( 'data\', 'D34_EBL_3h_143_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5+0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/EBL3h/143/15um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'D34_EBL_3h_63_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5+0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/EBL3h/63/15um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_ebl_3h_15um_63_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5+0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/EBL3h/63/15um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_ebl3h_18_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5+0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/EBL3h/18/15um' };
end


[gaps, meanK0] = calcKappa0Mean( 'data\', 'D34_EBL_3h_18_2um_*_pol2_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2+0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/EBL3h/18/2um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'D34_EBL_3h_18_2um_*_pol1_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2+0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'red' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/EBL3h/18/2um' };
end

%D34_STP01

[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_21_1um_*_pol2_1_resonanceFamilyData.mat', 940 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1-0.01, meanK0, 's', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/STP01/21/1um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_21_1um_*_pol1_1_resonanceFamilyData.mat', 940 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.01, meanK0, 'o', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/STP01/21/1um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_13_1um_*_pol1_1_resonanceFamilyData.mat', 940 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.01, meanK0, 'o', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/STP01/13/1um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_11_1um_*_pol1_1_resonanceFamilyData.mat', 940 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1+0.01, meanK0, 'o', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/STP01/11/1um' };
end

[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_13_15um_*_pol2_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5+0.01, meanK0, 'o', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/STP01/13/15um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_13_15um_*_pol1_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5-0.01, meanK0, 's', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/STP01/13/15um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_21_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5-0.01, meanK0, 's', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/STP01/21/15um' };
end



[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_12_2um_*_pol2_1_resonanceFamilyData.mat', 440 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2+0.01, meanK0, 'o', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/STP01/12/2um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_12_2um_*_pol1_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2-0.01, meanK0, 's', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TM D34/STP01/12/2um' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'd34_stp01_21_2um_*_pol1_1_resonanceFamilyData.mat', 440 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2+0.01, meanK0, 'o', 'MarkerEdgeColor', 'green' );
    legendStrings(size(legendStrings,2)+1) = { 'TE D34/STP01/21/2um' };
end

% des 151102
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_32_*_pol1_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1-0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TE des151102/32' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_32_*_pol1_1_resonanceFamilyData.mat', 770 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1-0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TM des151102/32' };
end


[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_30_*_pol1_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5-0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TE des151102/30' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_30_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5-0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TM des151102/30' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_17_*_pol2_1_resonanceFamilyData.mat', 860 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5-0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TM des151102/17' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_17_*_pol1_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*1.5-0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TE des151102/17' };
end


[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_33_*_pol1_1_resonanceFamilyData.mat', 600 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2-0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TE des151102/33' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_33_*_pol2_1_resonanceFamilyData.mat', 600 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2-0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TM des151102/33' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_18_*_pol1_1_resonanceFamilyData.mat', 610 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2-0.08+0.01, meanK0, 'o', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TE des151102/18' };
end
[gaps, meanK0] = calcKappa0Mean( 'data\', 'des151102_18_*_pol2_1_resonanceFamilyData.mat', 590 );
if ~isempty( meanK0 )
    scatter( kCIAxes2, ones(size(meanK0))*2-0.08-0.01, meanK0, 's', 'MarkerEdgeColor', 'blue' );
    legendStrings(size(legendStrings,2)+1) = { 'TM des151102/18' };
end

print(idealityFigure2, 'widthOverview100G.pdf','-dpdf');
