close all; clear all; format long; c=299792458; c=c*1e-3;

fontSize=7;
fontSizeSmall=7;
figWidth = 8.4;
figHeight = 8;

%% setup the cummulative plots for ideality and losses
idealityFigure2 = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( idealityFigure2, 'Position', [1 1 figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperSize',[figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

kCIAxes = subplot(2,2,1);
set( kCIAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCIAxes, 'box', 'on');
set(kCIAxes,'fontsize',fontSize);
set(kCIAxes, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
%xlabel(kCIAxes, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
%ylabel(kCIAxes, '\bf Im(\kappa_c) (MHz)','fontsize',fontSize );
ylabel(kCIAxes, '\bf Re(\kappa_c) (MHz)','fontsize',fontSize );
set(kCIAxes,'TickLength',[0.04, 0.004]);
hold( kCIAxes );
% set(kCIAxes, 'YScale', 'log');
% set(kCIAxes, 'XScale', 'log');
xlim( kCIAxes, [0 175]);
ylim( kCIAxes, [0 50]);
%set(idealityAxes, 'XScale', 'log');

kCRAxes = subplot(2,2,3);
set( kCRAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCRAxes, 'box', 'on');
set(kCRAxes,'fontsize',fontSize);
set(kCRAxes, 'LineWidth', 1 );
%title(kCRAxes2, ['Correlation splitting vs \kappa_0 ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(kCRAxes, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
ylabel(kCRAxes, '\bf Im(\kappa_c) (MHz)','fontsize',fontSize );
set(kCRAxes,'TickLength',[0.04, 0.004])
hold( kCRAxes );
% set(kCRAxes, 'YScale', 'log');
% set(kCRAxes, 'XScale', 'log');
xlim( kCRAxes, [0 175]);
ylim( kCRAxes, [0 120]);

kCIAxes2 = subplot(2,2,2);
set( kCIAxes2, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCIAxes2, 'box', 'on');
set(kCIAxes2,'fontsize',fontSize);
set(kCIAxes2, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
%xlabel(kCIAxes2, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
%ylabel(kCIAxes2, '\bf Im(\kappa_c) (MHz)','fontsize',fontSize );
set(kCIAxes2,'TickLength',[0.04, 0.004]);
hold( kCIAxes2 );
% set(kCIAxes2, 'YScale', 'log');
% set(kCIAxes2, 'XScale', 'log');
xlim( kCIAxes2, [0 175]);
ylim( kCIAxes2, [0 50]);
%set(idealityAxes, 'XScale', 'log');

kCRAxes2 = subplot(2,2,4);
set( kCRAxes2, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCRAxes2, 'box', 'on');
set(kCRAxes2,'fontsize',fontSize);
set(kCRAxes2, 'LineWidth', 1 );
%title(kCRAxes2, ['Correlation splitting vs \kappa_0 ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(kCRAxes2, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
%ylabel(kCRAxes2, '\bf Re(\kappa_c) (MHz)','fontsize',fontSize );
set(kCRAxes2,'TickLength',[0.04, 0.004]);
hold( kCRAxes2 );
% set(kCRAxes2, 'YScale', 'log');
% set(kCRAxes2, 'XScale', 'log');
xlim( kCRAxes2, [0 175]);
ylim( kCRAxes2, [0 120]);

allAC_TM = [];
allAC_TE = [];
allIN_TM = [];
allIN_TE = [];
allk0_TE = [];
allk0_TM = [];
legendStrings_TE = {};
legendStrings_TM = {};

%% plot the files
[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'D34_EBL_3h_143_15um_*_pol2_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'red' );
 %   allAC_TE = [allAC_TE; meanAbsCoupling];
 %   allIN_TE = [allIN_TE; meanInterf];
 %   allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/EBL3h/143/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', ' d34_ebl3h_143_15um_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
    allAC_TE = [allAC_TM; meanAbsCoupling];
    allIN_TE = [allIN_TM; meanInterf];
    allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/143/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'D34_EBL_3h_63_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'red' );
 %   allAC_TE = [allAC_TE; meanAbsCoupling];
%    allIN_TE = [allIN_TE; meanInterf];
 %   allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/EBL3h/63/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_ebl_3h_15um_63_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/63/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_18_15um_*_pol2_1_resonanceFamilyData.mat', 440 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/18/15um' };
end
[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_18_15um_*_pol1_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'red' );
  %  allAC_TE = [allAC_TE; meanAbsCoupling];
 %   allIN_TE = [allIN_TE; meanInterf];
 %   allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/EBL3h/18/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_72_15um_*_pol2_1_resonanceFamilyData.mat', 440 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/72/15um' };
end
[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_25_15um_*_pol2_1_resonanceFamilyData.mat', 440 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/25/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_21_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
     scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'green' );
     scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'green' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/STP01/21/15um' };
end
[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_21_15um_*_pol1_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
     scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'green' );
     scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'green' );
     allAC_TE = [allAC_TE; meanAbsCoupling];
     allIN_TE = [allIN_TE; meanInterf];
     allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/21/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_2_15um_*_pol1_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
     scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'green' );
     scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'green' );
     allAC_TE = [allAC_TE; meanAbsCoupling];
     allIN_TE = [allIN_TE; meanInterf];
     allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/2/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_2_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
     scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'green' );
     scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'green' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
 %   legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/STP01/2/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_13_15um_*_pol1_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'green' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'green' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/STP01/13/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_13_15um_*_pol2_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'green' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'green' );
    allAC_TE = [allAC_TE; meanAbsCoupling];
    allIN_TE = [allIN_TE; meanInterf];
    allk0_TE = [allk0_TE; meanK0];
 %   legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/13/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_stp01_3_15um_*_pol1_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'green' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'green' );
    allAC_TE = [allAC_TE; meanAbsCoupling];
    allIN_TE = [allIN_TE; meanInterf];
    allk0_TE = [allk0_TE; meanK0];
 %   legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/3/15um' };
end


[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'des151102_30_*_pol1_1_resonanceFamilyData.mat', 690 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'blue' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'blue' );
%    allAC_TE = [allAC_TE; meanAbsCoupling];
%    allIN_TE = [allIN_TE; meanInterf];
%    allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE des151102/30' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'des151102_30_*_pol2_1_resonanceFamilyData.mat', 690 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'blue' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'blue' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM des151102/30' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'des151102_17_*_pol2_1_resonanceFamilyData.mat', 690 );
if ~isempty( meanK0 )
     scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'blue' );
     scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'blue' );
     allAC_TM = [allAC_TM; meanAbsCoupling];
     allIN_TM = [allIN_TM; meanInterf];
     allk0_TM = [allk0_TM; meanK0];
%    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM des151102/17' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'des151102_17_*_pol1_1_resonanceFamilyData.mat', 860 );
if ~isempty( meanK0 )
     scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'blue' );
     scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'blue' );
  %   allAC_TE = [allAC_TE; meanAbsCoupling];
  %   allIN_TE = [allIN_TE; meanInterf];
  %   allk0_TE = [allk0_TE; meanK0];
%    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE des151102/17' };
end


%% fit with linear models
allAC_TE_fit = polyfit( allk0_TE, allAC_TE, 1 );
allAC_TM_fit = polyfit( allk0_TM, allAC_TM, 1 );
allIN_TE_fit = polyfit( allk0_TE, allIN_TE, 1 );
allIN_TM_fit = polyfit( allk0_TM, allIN_TM, 1 );

% try weighted fit for certain datasets
fitModel = 'a+x*b';
fitCoefficients = {'a', 'b'};
fitType = fittype( fitModel,...
                   'dependent',{'y'}, 'independent',{'x'}, ...
                   'coefficients', fitCoefficients );  

weights = ( (max(allk0_TM)+max(allAC_TM))./(allk0_TM+allAC_TM) ).^5;
fitOptions = fitoptions( 'Method', 'NonlinearLeastSquares', ...
                         'Weight', weights);
[fitResult, gof] = fit( allk0_TM, allAC_TM, fitType, fitOptions );
allAC_TM_fit(1) = fitResult.b;
allAC_TM_fit(2) = fitResult.a;

% fit also the TE mode
weights = ( (max(allk0_TE)+max(allAC_TE))./(allk0_TE+allAC_TE) ).^5;
fitOptions = fitoptions( 'Method', 'NonlinearLeastSquares', ...
                         'Weight', weights);
[fitResult, gof] = fit( allk0_TE, allAC_TE, fitType, fitOptions );
allAC_TE_fit(1) = fitResult.b;
allAC_TE_fit(2) = fitResult.a;

x = 0:5:175;
plot(kCRAxes, x, polyval(allAC_TM_fit, x),'--');
plot(kCRAxes2, x, polyval(allAC_TE_fit, x),'--');

plot(kCIAxes, x, polyval(allIN_TM_fit, x),'--');
plot(kCIAxes2, x, polyval(allIN_TE_fit, x),'--');

disp( ['AC_TM: ' num2str(-allAC_TM_fit(2)/allAC_TM_fit(1)) ] );
disp( ['AC_TE: ' num2str(-allAC_TE_fit(2)/allAC_TE_fit(1)) ] );
disp( ['IN_TM: ' num2str(-allIN_TM_fit(2)/allIN_TM_fit(1)) ] );
disp( ['IN_TE: ' num2str(-allIN_TE_fit(2)/allIN_TE_fit(1)) ] );


print(idealityFigure2, 'scattering100G_correct.pdf','-dpdf');
