close all; clear all; format long; c=299792458; c=c*1e-3;

fontSize=7;
fontSizeSmall=7;
figWidth = 8.4;
figHeight = 8;

%% setup the cummulative plots for ideality and losses
idealityFigure2 = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( idealityFigure2, 'Position', [1 1 figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperSize',[figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

kCIAxes = subplot(2,2,1);
set( kCIAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCIAxes, 'box', 'on');
set(kCIAxes,'fontsize',fontSize);
set(kCIAxes, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
%xlabel(kCIAxes, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
%ylabel(kCIAxes, '\bf Im(\kappa_c) (MHz)','fontsize',fontSize );
ylabel(kCIAxes, '\bf Re(\kappa_c) (MHz)','fontsize',fontSize );
set(kCIAxes,'TickLength',[0.04, 0.004]);
hold( kCIAxes );
set(kCIAxes, 'YScale', 'log');
set(kCIAxes, 'XScale', 'log');
xlim( kCIAxes, [30 200]);
ylim( kCIAxes, [30 250]);
%set(idealityAxes, 'XScale', 'log');

kCRAxes = subplot(2,2,3);
set( kCRAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCRAxes, 'box', 'on');
set(kCRAxes,'fontsize',fontSize);
set(kCRAxes, 'LineWidth', 1 );
%title(kCRAxes2, ['Correlation splitting vs \kappa_0 ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(kCRAxes, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
ylabel(kCRAxes, '\bf Im(\kappa_c) (MHz)','fontsize',fontSize );
set(kCRAxes,'TickLength',[0.04, 0.004])
hold( kCRAxes );
set(kCRAxes, 'YScale', 'log');
set(kCRAxes, 'XScale', 'log');
xlim( kCRAxes, [30 200]);
ylim( kCRAxes, [1 30]);

kCIAxes2 = subplot(2,2,2);
set( kCIAxes2, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCIAxes2, 'box', 'on');
set(kCIAxes2,'fontsize',fontSize);
set(kCIAxes2, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
%xlabel(kCIAxes2, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
%ylabel(kCIAxes2, '\bf Im(\kappa_c) (MHz)','fontsize',fontSize );
set(kCIAxes2,'TickLength',[0.04, 0.004]);
hold( kCIAxes2 );
set(kCIAxes2, 'YScale', 'log');
set(kCIAxes2, 'XScale', 'log');
xlim( kCIAxes2, [30 200]);
ylim( kCIAxes2, [30 250]);
%set(idealityAxes, 'XScale', 'log');

kCRAxes2 = subplot(2,2,4);
set( kCRAxes2, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCRAxes2, 'box', 'on');
set(kCRAxes2,'fontsize',fontSize);
set(kCRAxes2, 'LineWidth', 1 );
%title(kCRAxes2, ['Correlation splitting vs \kappa_0 ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(kCRAxes2, '\bf <\kappa_0> (MHz)','fontsize',fontSize );
%ylabel(kCRAxes2, '\bf Re(\kappa_c) (MHz)','fontsize',fontSize );
set(kCRAxes2,'TickLength',[0.04, 0.004]);
hold( kCRAxes2 );
set(kCRAxes2, 'YScale', 'log');
set(kCRAxes2, 'XScale', 'log');
xlim( kCRAxes2, [30 200]);
ylim( kCRAxes2, [1 30]);

allCI_TM = [];
allCI_TE = [];
allCR_TM = [];
allCR_TE = [];
allk0_TE = [];
allk0_TM = [];
legendStrings_TE = {};
legendStrings_TM = {};

figure;
hold on;

%% plot the files
[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'D34_EBL_3h_143_15um_*_pol2_1_resonanceFamilyData.mat', 640 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'red' );
 %   allCR_TE = [allCR_TE; meanKappaCR];
 %   allCI_TE = [allCI_TE; meanKappaCI];
 %   allk0_TE = [allk0_TE; meanK0];
    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/EBL3h/143/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', ' d34_ebl3h_143_15um_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
%    allCI_TM = [allCI_TM; meanKappaCI];
%    allCR_TM = [allCR_TM; meanKappaCR];
%    allk0_TM = [allk0_TM; meanK0];
    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/143/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'D34_EBL_3h_63_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
if ~isempty( meanK0 )
    scatter( kCRAxes2, meanK0, meanAbsCoupling, 'o', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes2, meanK0, meanInterf, 'o', 'MarkerEdgeColor', 'red' );
%    allCR_TE = [allCR_TE; meanKappaCR];
%    allCI_TE = [allCI_TE; meanKappaCI];
%    allk0_TE = [allk0_TE; meanK0];
    legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/EBL3h/63/15um' };
end

[gaps, meanKappaCR, meanKappaCI, meanAbsCoupling, meanK0, meanInterf] = calcKappaSplittingMean( 'data\', 'd34_ebl_3h_15um_63_*_pol2_1_resonanceFamilyData.mat', 840 );
if ~isempty( meanK0 )
    scatter( kCRAxes, meanK0, meanAbsCoupling, 's', 'MarkerEdgeColor', 'red' );
    scatter( kCIAxes, meanK0, meanInterf, 's', 'MarkerEdgeColor', 'red' );
%    allCI_TM = [allCI_TM; meanKappaCI];
%    allCR_TM = [allCR_TM; meanKappaCR];
%    allk0_TM = [allk0_TM; meanK0];
    legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/63/15um' };
end
% 
% [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_18_15um_*_pol2_1_resonanceFamilyData.mat', 440 );
% if ~isempty( meanK0 )
%     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'red' );
%     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'red' );
%     allCI_TM = [allCI_TM; meanKappaCI];
%     allCR_TM = [allCR_TM; meanKappaCR];
%     allk0_TM = [allk0_TM; meanK0];
%     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/18/15um' };
% end
% [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_18_15um_*_pol1_1_resonanceFamilyData.mat', 640 );
% if ~isempty( meanK0 )
%     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'red' );
%     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'red' );
%     allCR_TE = [allCR_TE; meanKappaCR];
%     allCI_TE = [allCI_TE; meanKappaCI];
%     allk0_TE = [allk0_TE; meanK0];
%     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/EBL3h/18/15um' };
% end
% 
% [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_72_15um_*_pol2_1_resonanceFamilyData.mat', 440 );
% if ~isempty( meanK0 )
%     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'red' );
%     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'red' );
%     allCI_TM = [allCI_TM; meanKappaCI];
%     allCR_TM = [allCR_TM; meanKappaCR];
%     allk0_TM = [allk0_TM; meanK0];
%     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/72/15um' };
% end
% [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_ebl3h_25_15um_*_pol2_1_resonanceFamilyData.mat', 440 );
% if ~isempty( meanK0 )
%     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'red' );
%     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'red' );
%     allCI_TM = [allCI_TM; meanKappaCI];
%     allCR_TM = [allCR_TM; meanKappaCR];
%     allk0_TM = [allk0_TM; meanK0];
%     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/EBL3h/25/15um' };
% end

% [gaps, meanKappaCR, meanKappaCI, meanK0, allKCR, allKCI, allk0] = calcKappaSplittingMean( 'data\', 'd34_stp01_21_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
% if ~isempty( meanK0 )
% %    scatter( allk0, sqrt(allKCI.^2 + allKCR.^2), 's', 'MarkerEdgeColor', 'green' );    
%    % scatter( allk0, abs(atan(allKCI./allKCR)), 's', 'MarkerEdgeColor', 'green' );    
% 
% %     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'green' );
% %     allCI_TM = [allCI_TM; meanKappaCI];
% %     allCR_TM = [allCR_TM; meanKappaCR];
% %     allk0_TM = [allk0_TM; meanK0];
%     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/STP01/21/15um' };
% end
% [gaps, meanKappaCR, meanKappaCI, meanK0, allKCR, allKCI, allk0] = calcKappaSplittingMean( 'data\', 'd34_stp01_21_15um_*_pol1_1_resonanceFamilyData.mat', 740 );
% if ~isempty( meanK0 )
%      %       scatter( allk0, sqrt(allKCI.^2 + allKCR.^2), 'o', 'MarkerEdgeColor', 'green' );    
%  scatter( allk0, abs(atan(allKCI./allKCR)), 'o', 'MarkerEdgeColor', 'green' );    
% 
% %     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'green' );
% %     allCR_TE = [allCR_TE; meanKappaCR];
% %     allCI_TE = [allCI_TE; meanKappaCI];
% %     allk0_TE = [allk0_TE; meanK0];
%     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/21/15um' };
% end
% 
% [gaps, meanKappaCR, meanKappaCI, meanK0, allKCR, allKCI, allk0] = calcKappaSplittingMean( 'data\', 'd34_stp01_2_15um_*_pol1_1_resonanceFamilyData.mat', 640 );
% if ~isempty( meanK0 )
%      %   scatter( allk0, sqrt(allKCI.^2 + allKCR.^2), 'o', 'MarkerEdgeColor', 'green' );    
%  scatter( allk0, abs(atan(allKCI./allKCR)), 'o', 'MarkerEdgeColor', 'green' );    
% %     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'green' );
% %     allCR_TE = [allCR_TE; meanKappaCR];
% %     allCI_TE = [allCI_TE; meanKappaCI];
% %     allk0_TE = [allk0_TE; meanK0];
%     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/2/15um' };
% end
% 
% [gaps, meanKappaCR, meanKappaCI, meanK0, allKCR, allKCI, allk0] = calcKappaSplittingMean( 'data\', 'd34_stp01_2_15um_*_pol2_1_resonanceFamilyData.mat', 740 );
% if ~isempty( meanK0 )
%      %  scatter( allk0, sqrt(allKCI.^2 + allKCR.^2), 's', 'MarkerEdgeColor', 'green' );    
%    % scatter( allk0, abs(atan(allKCI./allKCR)), 's', 'MarkerEdgeColor', 'green' );    
% 
% %     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'green' );
% %     allCI_TM = [allCI_TM; meanKappaCI];
% %     allCR_TM = [allCR_TM; meanKappaCR];
% %     allk0_TM = [allk0_TM; meanK0];
%     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/STP01/2/15um' };
% end
% 
% % [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_stp01_13_15um_*_pol1_1_resonanceFamilyData.mat', 840 );
% % if ~isempty( meanK0 )
% %     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'green' );
% %     allCI_TM = [allCI_TM; meanKappaCI];
% %     allCR_TM = [allCR_TM; meanKappaCR];
% %     allk0_TM = [allk0_TM; meanK0];
% %     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM D34/STP01/13/15um' };
% % end
% % 
% % [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_stp01_13_15um_*_pol2_1_resonanceFamilyData.mat', 640 );
% % if ~isempty( meanK0 )
% %     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'green' );
% %     allCR_TE = [allCR_TE; meanKappaCR];
% %     allCI_TE = [allCI_TE; meanKappaCI];
% %     allk0_TE = [allk0_TE; meanK0];
% %     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/13/15um' };
% % end
% % 
% % [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'd34_stp01_3_15um_*_pol1_1_resonanceFamilyData.mat', 640 );
% % if ~isempty( meanK0 )
% %     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'green' );
% %     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'green' );
% %     allCR_TE = [allCR_TE; meanKappaCR];
% %     allCI_TE = [allCI_TE; meanKappaCI];
% %     allk0_TE = [allk0_TE; meanK0];
% %     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE D34/STP01/3/15um' };
% % end
% % 
% % 
% % [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'des151102_30_*_pol1_1_resonanceFamilyData.mat', 690 );
% % if ~isempty( meanK0 )
% %     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'blue' );
% %     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'blue' );
% %     allCR_TE = [allCR_TE; meanKappaCR];
% %     allCI_TE = [allCI_TE; meanKappaCI];
% %     allk0_TE = [allk0_TE; meanK0];
% %     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE des151102/30' };
% % end
% % 
% % [gaps, meanKappaCR, meanKappaCI, meanK0] = calcKappaSplittingMean( 'data\', 'des151102_30_*_pol2_1_resonanceFamilyData.mat', 690 );
% % if ~isempty( meanK0 )
% %     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'blue' );
% %     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'blue' );
% %     allCI_TM = [allCI_TM; meanKappaCI];
% %     allCR_TM = [allCR_TM; meanKappaCR];
% %     allk0_TM = [allk0_TM; meanK0];
% %     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM des151102/30' };
% % end
% 
% [gaps, meanKappaCR, meanKappaCI, meanK0, allKCR, allKCI, allk0] = calcKappaSplittingMean( 'data\', 'des151102_17_*_pol2_1_resonanceFamilyData.mat', 690 );
% if ~isempty( meanK0 )
%        %    scatter( allk0, sqrt(allKCI.^2 + allKCR.^2), 's', 'MarkerEdgeColor', 'blue' );    
%   %  scatter( allk0, abs(atan(allKCI./allKCR)), 's', 'MarkerEdgeColor', 'blue' );    
% 
% %     scatter( kCRAxes, meanK0, meanKappaCR, 's', 'MarkerEdgeColor', 'blue' );
% %     scatter( kCIAxes, meanK0, meanKappaCI, 's', 'MarkerEdgeColor', 'blue' );
% %     allCI_TM = [allCI_TM; meanKappaCI];
% %     allCR_TM = [allCR_TM; meanKappaCR];
% %     allk0_TM = [allk0_TM; meanK0];
%     legendStrings_TM(size(legendStrings_TM,2)+1) = { 'TM des151102/17' };
% end
% 
% [gaps, meanKappaCR, meanKappaCI, meanK0, allKCR, allKCI, allk0] = calcKappaSplittingMean( 'data\', 'des151102_17_*_pol1_1_resonanceFamilyData.mat', 860 );
% if ~isempty( meanK0 )
%  %       scatter( allk0, sqrt(allKCI.^2 + allKCR.^2), 'o', 'MarkerEdgeColor', 'blue' );    
%     scatter( allk0, abs(atan(allKCI./allKCR)), 'o', 'MarkerEdgeColor', 'blue' );    
% 
% %     scatter( kCRAxes2, meanK0, meanKappaCR, 'o', 'MarkerEdgeColor', 'blue' );
% %     scatter( kCIAxes2, meanK0, meanKappaCI, 'o', 'MarkerEdgeColor', 'blue' );
% %     allCR_TE = [allCR_TE; meanKappaCR];
% %     allCI_TE = [allCI_TE; meanKappaCI];
% %     allk0_TE = [allk0_TE; meanK0];
%     legendStrings_TE(size(legendStrings_TE,2)+1) = { 'TE des151102/17' };
end

x = 30:0.1:250;

%% calc regressions

fitModel = 'a+x^b';
fitCoefficients = {'a', 'b'};

%% create the fit type and fit options object and perform the fitting
fitType = fittype( fitModel,...
                   'dependent',{'y'}, 'independent',{'x'}, ...
                   'coefficients', fitCoefficients );                    

% CI_TE
tt_CI_TE = sortrows( [allk0_TE allCI_TE] );
x_TE = tt_CI_TE(:,1);
y_TE = tt_CI_TE(:,2);

x_TE( y_TE==1 ) = [];
y_TE( y_TE==1 ) = [];
y_TE( isnan(x_TE) ) = [];
x_TE( isnan(x_TE) ) = [];

weights = ( (max(x_TE)+max(y_TE) )./(x_TE+y_TE) ).^3;
fitOptions = fitoptions( 'Method', 'NonlinearLeastSquares', ...
                         'Weight', weights);
[fit_CI_TE, gof] = fit( x_TE, y_TE, fitType, fitOptions );
f_CI_TE = feval( fit_CI_TE, x );
disp( ['CI_TE: ' num2str(-fit_CI_TE.a/fit_CI_TE.b) ] );

%fit_CI_TE = polyfit(x_TE,y_TE, 1);
%f_CI_TE = polyval(fit_CI_TE,x);
%disp( ['CI_TE: ' num2str(-fit_CI_TE(2)/fit_CI_TE(1)) ] );

% CR_TE
tt_CR_TE = sortrows( [allk0_TE allCR_TE] );
x_TE = tt_CR_TE(:,1);
y_TE = tt_CR_TE(:,2);

x_TE( y_TE==1 ) = [];
y_TE( y_TE==1 ) = [];
y_TE( isnan(x_TE) ) = [];
x_TE( isnan(x_TE) ) = [];

weights = ( (max(x_TE)+max(y_TE))./(x_TE+y_TE) ).^3;
fitOptions = fitoptions( 'Method', 'NonlinearLeastSquares', ...
                         'Weight', weights);
[fit_CR_TE, gof] = fit( x_TE, y_TE, fitType, fitOptions );
f_CR_TE = feval( fit_CR_TE, x );
disp( ['CR_TE: ' num2str(-fit_CR_TE.a/fit_CR_TE.b) ] );

%fit_CR_TE = polyfit(x_TE,y_TE, 1);
%f_CR_TE = polyval(fit_CR_TE,x);
%disp( ['CR_TE: ' num2str(-fit_CR_TE(2)/fit_CR_TE(1)) ] );

% CI_TM
tt_CI_TM = sortrows( [allk0_TM allCI_TM] );
x_TM = tt_CI_TM(:,1);
y_TM = tt_CI_TM(:,2);

x_TM( y_TM==1 ) = [];
y_TM( y_TM==1 ) = [];
y_TM( isnan(x_TM) ) = [];
x_TM( isnan(x_TM) ) = [];

weights = ( (max(x_TM)+max(y_TM))./(x_TM+y_TM) ).^3;
fitOptions = fitoptions( 'Method', 'NonlinearLeastSquares', ...
                         'Weight', weights);
[fit_CI_TM, gof] = fit( x_TM, y_TM, fitType, fitOptions );
f_CI_TM = feval( fit_CI_TM, x );
disp( ['CI_TM: ' num2str(-fit_CI_TM.a/fit_CI_TM.b) ] );

%fit_CI_TM = polyfit(x_TM,y_TM, 1);
%f_CI_TM = polyval(fit_CI_TM,x);
%disp( ['CI_TM: ' num2str(-fit_CI_TM(2)/fit_CI_TM(1)) ] );

% CR_TM
tt_CR_TM = sortrows( [allk0_TM allCR_TM] );
x_TM = tt_CR_TM(:,1);
y_TM = tt_CR_TM(:,2);

x_TM( y_TM==1 ) = [];
y_TM( y_TM==1 ) = [];
y_TM( isnan(x_TM) ) = [];
x_TM( isnan(x_TM) ) = [];

weights = (( max(x_TM)+max(y_TM) )./(x_TM+y_TM)).^3;
fitOptions = fitoptions( 'Method', 'NonlinearLeastSquares', ...
                         'Weight', weights);
[fit_CR_TM, gof] = fit( x_TM, y_TM, fitType, fitOptions );
f_CR_TM = feval( fit_CR_TM, x );
disp( ['CR_TM: ' num2str(-fit_CR_TM.a/fit_CR_TM.b) ] );

%fit_CR_TM = polyfit(x_TM,y_TM, 1);
%f_CR_TM = polyval(fit_CR_TM,x);
%disp( ['CR_TM: ' num2str(-fit_CR_TM(2)/fit_CR_TM(1)) ] );

% %calculate the regression
%X = [ones(length(x),1) x];
%z = X\y;
%disp( -z(1)/z(2) )

%X = [ones(length(x),1) x'];
%yCalc2 = X*z;
%plot(kCIAxes2, x,yCalc2,'--')
plot(kCRAxes, x,f_CR_TM,'--');
plot(kCRAxes2, x,f_CR_TE,'--');

plot(kCIAxes, x,f_CI_TM,'--');
plot(kCIAxes2, x,f_CI_TE,'--');

disp( ['CR_TM: ' num2str(nthroot(-fit_CR_TM.a, fit_CR_TM.b)) ] );
disp( ['CR_TE: ' num2str(nthroot(-fit_CR_TE.a, fit_CR_TE.b)) ] );
disp( ['CI_TM: ' num2str(nthroot(-fit_CI_TM.a, fit_CI_TM.b)) ] );
%disp( ['CI_TE: ' num2str(nthroot(-fit_CI_TE.a, fit_CI_TE.b)) ] );
 
print(idealityFigure2, 'scattering100G.pdf','-dpdf');
