close all; clear all; format long;

%% nice plot
c=299792458;
c=c*1e-3;

fontSize=7;
fontSizeSmall=7;

figWidth = 2.25;
figHeight = 5.5;


%% setup the cummulative plots for ideality and losses
dragFig = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( dragFig, 'Position', [1 1 figWidth+3 figHeight+3]);
set( dragFig,'PaperSize',[figWidth+3 figHeight+3]);
set( dragFig,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

dragAxes = subplot(2,1,1);
set( dragAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(dragAxes, 'box', 'on');
set(dragAxes,'fontsize',fontSize);
set(dragAxes, 'LineWidth', 1 );
%set(dragAxes, 'XAxisLocation', 'top')
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(dragAxes, '\bf frequency (MHz)','fontsize',fontSize );
ylabel(dragAxes, '\bf transmission (a.u.)','fontsize',fontSize );
xlim(dragAxes, [-500 500]);
%ylim(dragAxes, [0 800]);
hold( dragAxes );

qAxes = subplot(2,1,2);
set( qAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(qAxes, 'box', 'on');
set(qAxes,'fontsize',fontSize);
set(qAxes, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(qAxes, '\bf dropped power (mW)','fontsize',fontSize );
ylabel(qAxes, '\bf resonance drag (MHz)','fontsize',fontSize );
%xlim(qAxes, [1460 1570]);
%ylim(qAxes, [30 120]);
hold( qAxes );


%% plot correlation
%load( 'rawData/d34_ebl3h_143_15um_750nm_pol1_1480_277_dragData.mat' );
load( 'rawData/d34_ebl3h_143_15um_750nm_pol1_1539_869_dragData.mat' );
tt = length( droppedPowers(ch==1 & condition & ~isnan(droppedPowers)) );
scatter(qAxes, dPs(1:tt), dGs(1:tt), 'x' );
scatter(qAxes, dPs(tt:end), dGs(tt:end), 'x' );
plot(qAxes, dPs',yCalc1,'--');


%% plot resonance fit
load( 'rawData/d34_ebl3h_143_15um_750nm_pol1_1539_869_fitData1.mat' );
[~,minInd] = min( yValues );
plot( dragAxes, xValues - xValues( minInd ), yValues, '.' );
fitYs = feval( fitResultObject, xValues );
plot( dragAxes, xValues - xValues( minInd ), fitYs );

print(dragFig, 'fitCorrelation.pdf','-dpdf');
