function y = thermalRes( x, o0, kEx, k0, ft ) %x, o0, kEx, k0, scL, scR )
    dO = x-o0;
    kappa = kEx+k0;
    f = ft*kappa;
    
    a = (f)^2 * ones(size(dO));
    b = (-2)*f*dO;
    c = dO.^2 + (kappa/2)^2;
    d = -kEx*k0 * ones(size(dO));

    coeff = [a b c d];
    t = CardanRoots( coeff );
    
    % use only the real part of the roots
    y = 1 - t(:,1);

    % make composite of two parts of a Lorenzian
   % y = ones(size(x));
   % y(x<o0) = (1-kEx*k0./( (x(x<o0)./scL-o0).^2 + ((k0+kEx)/2).^2 ));
   % y(x>o0) = (1-kEx*k0./( (x(x>o0)./scR-o0).^2 + ((k0+kEx)/2).^2 ));
end