close all; clear all; format long; c=299792458; c=c*1e-3;

fontSize=7;
fontSizeSmall=7;
figWidth = 3.6;
figHeight = 6.4;

%% setup plotting
idealityFigure2 = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( idealityFigure2, 'Position', [1 1 figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperSize',[figWidth+3 figHeight+3]);
set( idealityFigure2,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

kCIAxes2 = gca;
set( kCIAxes2, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(kCIAxes2, 'box', 'on');
set(kCIAxes2,'fontsize',fontSize);
set(kCIAxes2, 'LineWidth', 1 );
set(kCIAxes2, 'TickLength', [0.02, 0.01] );

%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(kCIAxes2, '\bf waveguide width (\mu m)','fontsize',fontSize );
%ylabel(kCIAxes2, '\bf \kappa_0/2\pi (MHz)','fontsize',fontSize);
hold( kCIAxes2 );
%set(kCIAxes2, 'YScale', 'log');
 set(kCIAxes2, 'XScale', 'log');
%xlim( kCIAxes2, [0.75 2.25]);
xlim( kCIAxes2, [30 1.1e2]);    
ylim( kCIAxes2, [0.5 6.5]);    
%set(idealityAxes, 'XScale', 'log');

allk0 = [];
allCR = [];
legendStrings = {};

%% des151102

des151102_2_te = [ %analyseDistribution('rawData\des151102_18_600nm_pol1_1_resonanceFamilyData.mat', 30), ...
                   analyseDistribution('rawData\des151102_33_700nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\des151102_33_775nm_pol1_1_resonanceFamilyData.mat', 30) ];
des151102_2_tm = [ analyseDistribution('rawData\des151102_18_600nm_pol2_1_resonanceFamilyData.mat', 30), ...
                   analyseDistribution('rawData\des151102_33_700nm_pol2_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\des151102_33_775nm_pol2_1_resonanceFamilyData.mat', 30) ];
des151102_15_te = [ analyseDistribution('rawData\des151102_30_625nm_pol1_1_resonanceFamilyData.mat', 30), ...
                   analyseDistribution('rawData\des151102_30_700nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\des151102_17_923nm_pol1_1_resonanceFamilyData.mat', 30) ]; 
des151102_15_tm = [ analyseDistribution('rawData\des151102_30_1000nm_pol2_1_resonanceFamilyData.mat', 30), ...
                   analyseDistribution('rawData\des151102_30_850nm_pol2_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\des151102_30_700nm_pol2_1_resonanceFamilyData.mat', 30) ];                

%% D34 EBL3h
d34_ebl3h_2_te = [ analyseDistribution('rawData\D34_EBL_3h_18_2um_650nm_pol2_1_resonanceFamilyData.mat', 30), ...
                   analyseDistribution('rawData\D34_EBL_3h_18_2um_750nm_pol2_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\D34_EBL_3h_18_2um_850nm_pol2_1_resonanceFamilyData.mat', 30) ]; 

d34_ebl3h_2_tm = [ analyseDistribution('rawData\D34_EBL_3h_18_2um_750nm_pol1_1_resonanceFamilyData.mat', 30), ...
                   analyseDistribution('rawData\D34_EBL_3h_18_2um_650nm_pol1_1_resonanceFamilyData.mat', 30) ];                 
                 
d34_ebl3h_15_te = [ analyseDistribution('rawData\d34_ebl3h_18_15um_750nm_pol1_1_resonanceFamilyData.mat', 30), ...
                    analyseDistribution('rawData\D34_EBL_3h_143_15um_850nm_pol2_1_resonanceFamilyData.mat', 30), ...
                    analyseDistribution('rawData\D34_EBL_3h_143_15um_750nm_pol2_1_resonanceFamilyData.mat', 30), ...
                    analyseDistribution('rawData\D34_EBL_3h_63_15um_850nm_pol2_1_resonanceFamilyData.mat', 30), ...
                    analyseDistribution('rawData\D34_EBL_3h_63_15um_750nm_pol2_1_resonanceFamilyData.mat', 30) ];               

d34_ebl3h_15_tm = [ analyseDistribution('rawData\d34_ebl_3h_15um_63_950nm_pol2_1_resonanceFamilyData.mat', 30), ...
                    analyseDistribution('rawData\d34_ebl_3h_15um_63_1050nm_pol2_1_resonanceFamilyData.mat', 30),...
                    analyseDistribution('rawData\d34_ebl3h_143_15um_950nm_pol2_1_resonanceFamilyData.mat', 30), ...
                    analyseDistribution('rawData\d34_ebl3h_143_15um_1050nm_pol2_1_resonanceFamilyData.mat', 30)];     

%% D34 EBL 11h                
d34_ebl11h_2_te = [ analyseDistribution('rawData\D34_EBL_11h_18_2um_650nm_pol2_1_resonanceFamilyData', 30), ...
                   analyseDistribution('rawData\D34_EBL_11h_18_2um_750nm_pol2_1_resonanceFamilyData', 30 ), ...
                   analyseDistribution('rawData\D34_EBL_11h_18_2um_850nm_pol2_1_resonanceFamilyData', 30 ), ...
                   analyseDistribution('rawData\D34_EBL_11h_143_2um_650nm_pol2_1_resonanceFamilyData', 30) ];                 

d34_ebl11h_2_tm = [analyseDistribution('rawData\D34_EBL_11h_18_2um_750nm_pol2_1_resonanceFamilyData', 30 ), ...
                   analyseDistribution('rawData\D34_EBL_11h_18_2um_850nm_pol2_1_resonanceFamilyData', 30) ];
               
d34_ebl11h_15_te = [ analyseDistribution('rawData\D34_EBL_11h_143_15um_850nm_pol2_1_resonanceFamilyData', 30), ...
                     analyseDistribution('rawData\D34_EBL_11h_63_15um_850nm_pol2_1_resonanceFamilyData', 30), ...
                     analyseDistribution('rawData\D34_EBL_11h_63_15um_750nm_pol2_1_resonanceFamilyData', 30) ];

d34_ebl11h_15_tm = [ analyseDistribution('rawData\d34_ebl11h_63_15um_950nm_pol2_1_resonanceFamilyData', 30), ...
                     analyseDistribution('rawData\d34_ebl11h_63_15um_1050nm_pol2_1_resonanceFamilyData', 30), ...
                     analyseDistribution('rawData\d34_ebl11h_143_15um_1050nm_pol2_1_resonanceFamilyData', 30), ...
                     analyseDistribution('rawData\d34_ebl11h_143_15um_950nm_pol2_1_resonanceFamilyData', 30) ];

%% D34 STP 3h (stp_01)
d34_stp3h_2_te = [ analyseDistribution('rawData\d34_stp01_12_2um_650nm_pol2_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_12_2um_750nm_pol2_1_resonanceFamilyData.mat', 30) ]; 

d34_stp3h_2_tm = [ analyseDistribution('rawData\d34_stp01_12_2um_750nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_12_2um_850nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_12_2um_950nm_pol1_1_resonanceFamilyData.mat', 30) ]; 
               
d34_stp3h_15_te = [ analyseDistribution('rawData\d34_stp01_13_15um_850nm_pol2_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_2_15um_850nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_3_15um_850nm_pol1_1_resonanceFamilyData.mat', 30) ];    
               
d34_stp3h_15_tm = [ analyseDistribution('rawData\d34_stp01_13_15um_950nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_13_15um_1050nm_pol1_1_resonanceFamilyData.mat', 30 ), ...
                   analyseDistribution('rawData\d34_stp01_2_15um_950nm_pol2_1_resonanceFamilyData.mat', 30) ];                

%% D34 STP 3h noClad (stp_03)
d34_stpNoClad_2_te = [ analyseDistribution('rawData\d34_stp03_plasma_2um_650nm_pol1_1_resonanceFamilyData.mat', 20 ), ...
                       analyseDistribution('rawData\d34_stp03_plasma_2um_750nm_pol1_1_resonanceFamilyData.mat', 20 ), ...
                       analyseDistribution('rawData\d34_stp03_plasma_2um_850nm_pol1_1_resonanceFamilyData.mat', 20) ];
                   
d34_stpNoClad_2_tm = [ analyseDistribution('rawData\d34_stp03_plasma_2um_950nm_pol2_1_resonanceFamilyData.mat', 20 ), ...
                       analyseDistribution('rawData\d34_stp03_plasma_2um_850nm_pol2_1_resonanceFamilyData.mat', 20 ), ...
                       analyseDistribution('rawData\d34_stp03_plasma_2um_750nm_pol2_1_resonanceFamilyData.mat', 20) ];
                   
d34_stpNoClad_15_te = [ analyseDistribution('rawData\d34_stp03_plasma_15um_850nm_pol1_1_resonanceFamilyData.mat', 20 ), ...
                       analyseDistribution('rawData\d34_stp03_plasma_15um_950nm_pol1_1_resonanceFamilyData.mat', 20) ];
                   
d34_stpNoClad_15_tm = [ analyseDistribution('rawData\d34_stp03_plasma_15um_1050nm_pol2_1_resonanceFamilyData.mat', 20 ), ...
                       analyseDistribution('rawData\d34_stp03_plasma_15um_950nm_pol2_1_resonanceFamilyData.mat', 20 ) ];                   

%% D34 STP 3h noClad 15sBHF (stp_05)
d34_stpBHF_2_te = [ analyseDistribution('rawData\d34_stp05_51_2um_850nm_pol4_1_resonanceFamilyData.mat', 15 ), ...
                    analyseDistribution('rawData\d34_stp05_51_2um_750nm_pol4_1_resonanceFamilyData.mat', 15 ), ...
                    analyseDistribution('rawData\d34_stp05_53_2um_850nm_pol4_1_resonanceFamilyData.mat', 15 ), ...
                    analyseDistribution('rawData\d34_stp05_62_2um_750nm_pol4_1_resonanceFamilyData.mat', 15) ];

d34_stpBHF_15_te = [ analyseDistribution('rawData\d34_stp05_52_15um_850nm_pol4_1_resonanceFamilyData.mat', 15 ), ...
                     analyseDistribution('rawData\d34_stp05_52_15um_1050nm_pol4_1_resonanceFamilyData.mat', 15 ), ...
                     analyseDistribution('rawData\d34_stp05_62_15um_1050nm_pol4_1_resonanceFamilyData.mat', 15 ), ...
                     analyseDistribution('rawData\d34_stp05_62_15um_950nm_pol4_1_resonanceFamilyData.mat', 15) ];   
                 
d34_stpBHF_2_tm = [ analyseDistribution('rawData\d34_stp_noclad_72_2um_850nm_pol2_1_resonanceFamilyData.mat', 15 ), ...
                    analyseDistribution('rawData\d34_stp_noclad_62_2um_850nm_pol2_1_resonanceFamilyData.mat', 15 ), ...
                    analyseDistribution('rawData\d34_stp_noclad_62_2um_950nm_pol2_1_resonanceFamilyData.mat', 15) ];

d34_stpBHF_15_tm = [ analyseDistribution('rawData\d34_stp_noclad_72_15um_950nm_pol2_1_resonanceFamilyData.mat', 15 ), ...
                     analyseDistribution('rawData\d34_stp_noclad_72_15um_1050nm_pol2_1_resonanceFamilyData.mat', 15 ), ...
                     analyseDistribution('rawData\d34_stp_noclad_62_15um_1050nm_pol2_1_resonanceFamilyData.mat', 15 ), ...
                     analyseDistribution('rawData\d34_stp_noclad_62_15um_950nm_pol2_1_resonanceFamilyData.mat', 15) ];                  
                 
%% start plotting
i = 6;
scatter( des151102_2_te, i*ones(size(des151102_2_te))-0.15, 'o', 'MarkerEdgeColor', 'magenta' );
scatter( des151102_2_tm, i*ones(size(des151102_2_tm))+0.15,'s', 'MarkerEdgeColor', 'magenta' );
scatter( des151102_15_te, i*ones(size(des151102_15_te))-0.15, 'o', 'MarkerEdgeColor', 'cyan' );
scatter( des151102_15_tm, i*ones(size(des151102_15_tm))+0.15, 's', 'MarkerEdgeColor', 'cyan' );

% D34_EBL_3h
i = 5;
scatter( d34_ebl3h_2_te, i*ones(size(d34_ebl3h_2_te))-0.15, 'o', 'MarkerEdgeColor', 'magenta' );
scatter( d34_ebl3h_2_tm, i*ones(size(d34_ebl3h_2_tm))+0.15, 's', 'MarkerEdgeColor', 'magenta' );
scatter( d34_ebl3h_15_te, i*ones(size(d34_ebl3h_15_te))-0.15, 'o', 'MarkerEdgeColor', 'cyan' );
scatter( d34_ebl3h_15_tm, i*ones(size(d34_ebl3h_15_tm))+0.15, 's', 'MarkerEdgeColor', 'cyan' );

% D34_EBL_11h
i = 4;
scatter( d34_ebl11h_2_te, i*ones(size(d34_ebl11h_2_te))-0.15, 'o', 'MarkerEdgeColor', 'magenta' );
scatter( d34_ebl11h_2_tm, i*ones(size(d34_ebl11h_2_tm))+0.15, 's', 'MarkerEdgeColor', 'magenta' );
scatter( d34_ebl11h_15_te, i*ones(size(d34_ebl11h_15_te))-0.15, 'o', 'MarkerEdgeColor', 'cyan' );
scatter( d34_ebl11h_15_tm, i*ones(size(d34_ebl11h_15_tm))+0.15, 's', 'MarkerEdgeColor', 'cyan' );

% D34_STP_01
i = 3;
scatter( d34_stp3h_2_te, i*ones(size(d34_stp3h_2_te))-0.15, 'o', 'MarkerEdgeColor', 'magenta' );
scatter( d34_stp3h_2_tm, i*ones(size(d34_stp3h_2_tm))+0.15, 's', 'MarkerEdgeColor', 'magenta' );
scatter( d34_stp3h_15_te, i*ones(size(d34_stp3h_15_te))-0.15, 'o', 'MarkerEdgeColor', 'cyan' );
scatter( d34_stp3h_15_tm, i*ones(size(d34_stp3h_15_tm))+0.15, 's', 'MarkerEdgeColor', 'cyan' );

% D34_STP_03
i = 2;
scatter( d34_stpNoClad_2_te, i*ones(size(d34_stpNoClad_2_te))-0.15, 'o', 'MarkerEdgeColor', 'magenta' );
scatter( d34_stpNoClad_2_tm, i*ones(size(d34_stpNoClad_2_tm))+0.15, 's', 'MarkerEdgeColor', 'magenta' );
scatter( d34_stpNoClad_15_te, i*ones(size(d34_stpNoClad_15_te))-0.15, 'o', 'MarkerEdgeColor', 'cyan' );
scatter( d34_stpNoClad_15_tm, i*ones(size(d34_stpNoClad_15_tm))+0.15, 's', 'MarkerEdgeColor', 'cyan' );

% D34_STP_05
i = 1;
scatter( d34_stpBHF_2_te, i*ones(size(d34_stpBHF_2_te))-0.15, 'o', 'MarkerEdgeColor', 'magenta' );
scatter( d34_stpBHF_15_te, i*ones(size(d34_stpBHF_15_te))-0.15, 'o', 'MarkerEdgeColor', 'cyan' );
scatter( d34_stpBHF_2_tm, i*ones(size(d34_stpBHF_2_tm))+0.15, 's', 'MarkerEdgeColor', 'magenta' );
scatter( d34_stpBHF_15_tm, i*ones(size(d34_stpBHF_15_tm))+0.15, 's', 'MarkerEdgeColor', 'cyan' );            

print(idealityFigure2, 'processOverview100G.pdf','-dpdf');
