close all; clear all; format long;

%% nice plot
c=299792458;
c=c*1e-3;

fontSize=7;
fontSizeSmall=7;

figWidth = 3.5;
figHeight = 1.5;


%% setup the cummulative plots for ideality and losses
idealityFigure = figure( 'Units', 'centimeters', 'PaperUnit','centimeters' );
set( idealityFigure, 'Position', [1 1 figWidth+3 figHeight+3]);
set( idealityFigure,'PaperSize',[figWidth+3 figHeight+3]);
set( idealityFigure,'PaperPosition',[0 0 figWidth+3 figHeight+3]);

idealityAxes = gca;
%idealityAxes = subplot(2,1,1);
set( idealityAxes, 'Units', 'centimeters' );
%set(idealityAxes, 'Position', [1.5 1.5 figWidth figHeight] );
set(idealityAxes, 'box', 'on');
set(idealityAxes,'fontsize',fontSize);
set(idealityAxes, 'LineWidth', 1 );
%title(idealityAxes, ['Ideality study of ' sampleID ' - mode family ' num2str(wantedModeFamily)] );
xlabel(idealityAxes, '\bf frequency (MHz)','fontsize',fontSize );
ylabel(idealityAxes, '\bf transmission (a.u.)','fontsize',fontSize );
hold( idealityAxes );


%% plot
load( '171024_d34_stp01_2_15um_850nm_pol1_1\d1.mat' );

scatter( xValues-fitResultObject2.o0, yValues, '.');
plot( xValues-fitResultObject2.o0, feval(fitResultObject2, xValues), 'r-');
%plot( fitResultObject2 , 'r-', xValues, yValues);
    str = { ['\kappa_{0}: ' num2str(fitResultObject2.k0)],...
            ['\kappa_{ex}: ' num2str(fitResultObject2.kEx)],...
            ['\kappa_{c,R}: ' num2str(fitResultObject2.kCR)],...
            ['\kappa_{c,I}: ' num2str(fitResultObject2.kCI)] };
    disp( str );
    
        
xlim( [-500 500] );
%ylim( [0.7 1.05] );
legend off;
